<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (15) on Thu Sep 23 16:01:26 CEST 2021 -->
<title>Building</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2021-09-23">
<meta name="description" content="declaration: package: fr.ici.dataImporter.iciObjects, class: Building">
<meta name="generator" content="javadoc/ClassWriterImpl">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../script-dir/jquery-ui.min.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../jquery-ui.overrides.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
<script type="text/javascript" src="../../../../script-dir/jquery-3.5.1.min.js"></script>
<script type="text/javascript" src="../../../../script-dir/jquery-ui.min.js"></script>
</head>
<body class="class-declaration-page">
<script type="text/javascript">var data = {"i0":10,"i1":9,"i2":9,"i3":10,"i4":9,"i5":10,"i6":9,"i7":10,"i8":10,"i9":10,"i10":9,"i11":9,"i12":10,"i13":9,"i14":10,"i15":10,"i16":9};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "alt-color";
var rowColor = "row-color";
var tableTab = "table-tab";
var activeTableTab = "active-table-tab";
var pathtoroot = "../../../../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flex-box">
<header role="banner" class="flex-header">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="top-nav" id="navbar.top">
<div class="skip-nav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar.top.firstrow" class="nav-list" title="Navigation">
<li><a href="../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="nav-bar-cell1-rev">Class</li>
<li><a href="class-use/Building.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div>
<ul class="sub-nav-list">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="sub-nav-list">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<div class="nav-list-search"><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<span class="skip-nav" id="skip.navbar.top">
<!--   -->
</span></nav>
</header>
<div class="flex-content">
<main role="main">
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="sub-title"><span class="package-label-in-type">Package</span>&nbsp;<a href="package-summary.html">fr.ici.dataImporter.iciObjects</a></div>
<h1 title="Class Building" class="title">Class Building</h1>
</div>
<div class="inheritance" title="Inheritance Tree">java.lang.Object
<div class="inheritance"><a href="ICIObject.html" title="class in fr.ici.dataImporter.iciObjects">fr.ici.dataImporter.iciObjects.ICIObject</a>
<div class="inheritance">fr.ici.dataImporter.iciObjects.Building</div>
</div>
</div>
<section class="description">
<dl class="notes">
<dt>Direct Known Subclasses:</dt>
<dd><code><a href="BuildingGroup.html" title="class in fr.ici.dataImporter.iciObjects">BuildingGroup</a></code>, <code><a href="BuildingSimple.html" title="class in fr.ici.dataImporter.iciObjects">BuildingSimple</a></code></dd>
</dl>
<hr>
<pre>public abstract class <span class="type-name-label">Building</span>
extends <a href="ICIObject.html" title="class in fr.ici.dataImporter.iciObjects">ICIObject</a></pre>
</section>
<section class="summary">
<ul class="summary-list">
<!-- =========== FIELD SUMMARY =========== -->
<li>
<section class="field-summary" id="field.summary">
<h2>Field Summary</h2>
<div class="member-summary">
<table class="summary-table">
<caption><span>Fields</span></caption>
<thead>
<tr>
<th class="col-first" scope="col">Modifier and Type</th>
<th class="col-second" scope="col">Field</th>
<th class="col-last" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="alt-color">
<td class="col-first"><code>(package private) java.util.List&lt;java.lang.Integer&gt;</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#areaHousingLot">areaHousingLot</a></span></code></th>
<td class="col-last">
<div class="block">Distribution of the housing sizes in this building.</div>
</td>
</tr>
<tr class="row-color">
<td class="col-first"><code>org.locationtech.jts.geom.MultiPolygon</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#bGeom">bGeom</a></span></code></th>
<td class="col-last">
<div class="block">Geometry of the building</div>
</td>
</tr>
<tr class="alt-color">
<td class="col-first"><code>(package private) float</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#floorArea">floorArea</a></span></code></th>
<td class="col-last">
<div class="block">Sum of the floor area of the building(s)</div>
</td>
</tr>
<tr class="row-color">
<td class="col-first"><code>(package private) static float</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#functionalRatio">functionalRatio</a></span></code></th>
<td class="col-last">
<div class="block">Percentage of the total building surface that is usable for its main usage.</div>
</td>
</tr>
<tr class="alt-color">
<td class="col-first"><code>(package private) int</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#nbHousing">nbHousing</a></span></code></th>
<td class="col-last">
<div class="block">Number of housing units in the building.</div>
</td>
</tr>
<tr class="row-color">
<td class="col-first"><code>(package private) int</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#nbPOI">nbPOI</a></span></code></th>
<td class="col-last">
<div class="block">Number of <a href="WorkingPlace.html" title="class in fr.ici.dataImporter.iciObjects"><code>WorkingPlace</code></a> and <a href="POI.html" title="class in fr.ici.dataImporter.iciObjects"><code>POI</code></a> calculated by ICI methods and located in this building.</div>
</td>
</tr>
<tr class="alt-color">
<td class="col-first"><code>(package private) int</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#nbWorkingPlace">nbWorkingPlace</a></span></code></th>
<td class="col-last">
<div class="block">Number of <a href="WorkingPlace.html" title="class in fr.ici.dataImporter.iciObjects"><code>WorkingPlace</code></a> and <a href="POI.html" title="class in fr.ici.dataImporter.iciObjects"><code>POI</code></a> calculated by ICI methods and located in this building.</div>
</td>
</tr>
<tr class="row-color">
<td class="col-first"><code>(package private) float</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#roomLeft">roomLeft</a></span></code></th>
<td class="col-last">
<div class="block">Space that are not occupied by a housing unit and available for other usage</div>
</td>
</tr>
</tbody>
</table>
</div>
<div class="inherited-list">
<h3 id="fields.inherited.from.class.fr.ici.dataImporter.iciObjects.ICIObject">Fields inherited from class&nbsp;fr.ici.dataImporter.iciObjects.<a href="ICIObject.html" title="class in fr.ici.dataImporter.iciObjects">ICIObject</a></h3>
<code><a href="ICIObject.html#DEBUG">DEBUG</a>, <a href="ICIObject.html#ID">ID</a>, <a href="ICIObject.html#rdGen">rdGen</a>, <a href="ICIObject.html#type">type</a></code></div>
</section>
</li>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<li>
<section class="constructor-summary" id="constructor.summary">
<h2>Constructor Summary</h2>
<div class="member-summary">
<table class="summary-table">
<caption><span>Constructors</span></caption>
<thead>
<tr>
<th class="col-first" scope="col">Constructor</th>
<th class="col-last" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="alt-color">
<th class="col-constructor-name" scope="row"><code><span class="member-name-link"><a href="#%3Cinit%3E()">Building</a></span>()</code></th>
<td class="col-last">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
</section>
</li>
<!-- ========== METHOD SUMMARY =========== -->
<li>
<section class="method-summary" id="method.summary">
<h2>Method Summary</h2>
<div class="member-summary" id="method-summary-table">
<div class="table-tabs" role="tablist" aria-orientation="horizontal"><button role="tab" aria-selected="true" aria-controls="method-summary-table.tabpanel" tabindex="0" onkeydown="switchTab(event)" id="t0" class="active-table-tab">All Methods</button><button role="tab" aria-selected="false" aria-controls="method-summary-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t1" class="table-tab" onclick="show(1);">Static Methods</button><button role="tab" aria-selected="false" aria-controls="method-summary-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t2" class="table-tab" onclick="show(2);">Instance Methods</button><button role="tab" aria-selected="false" aria-controls="method-summary-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t4" class="table-tab" onclick="show(8);">Concrete Methods</button></div>
<div id="method-summary-table.tabpanel" role="tabpanel">
<table class="summary-table" aria-labelledby="t0">
<thead>
<tr>
<th class="col-first" scope="col">Modifier and Type</th>
<th class="col-second" scope="col">Method</th>
<th class="col-last" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="alt-color" id="i0">
<td class="col-first"><code>void</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#computeRoomLeft()">computeRoomLeft</a></span>()</code></th>
<td class="col-last">
<div class="block">Calculate the room of a building that is not occupied by housing.</div>
</td>
</tr>
<tr class="row-color" id="i1">
<td class="col-first"><code>static java.io.File</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#exportList(java.util.List,java.io.File)">exportList</a></span>&#8203;(java.util.List&lt;<a href="Building.html" title="class in fr.ici.dataImporter.iciObjects">Building</a>&gt;&nbsp;lBuilding,
java.io.File&nbsp;file)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color" id="i2">
<td class="col-first"><code>static java.util.List&lt;java.lang.Integer&gt;</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#generateListDistribHousing(org.opengis.feature.simple.SimpleFeature)">generateListDistribHousing</a></span>&#8203;(org.opengis.feature.simple.SimpleFeature&nbsp;b)</code></th>
<td class="col-last">
<div class="block">Generate a list of the average size of buildings</div>
</td>
</tr>
<tr class="row-color" id="i3">
<td class="col-first"><code>java.util.List&lt;java.lang.Integer&gt;</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#getAreaHousingLot()">getAreaHousingLot</a></span>()</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color" id="i4">
<td class="col-first"><code>static <a href="Building.html" title="class in fr.ici.dataImporter.iciObjects">Building</a></code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#getClosestBuilding(java.util.List,org.locationtech.jts.geom.Point,float)">getClosestBuilding</a></span>&#8203;(java.util.List&lt;? extends <a href="Building.html" title="class in fr.ici.dataImporter.iciObjects">Building</a>&gt;&nbsp;lBuilding,
org.locationtech.jts.geom.Point&nbsp;p,
float&nbsp;distanceToSeek)</code></th>
<td class="col-last">
<div class="block">Recursively look for a Building meter by meter from a point.</div>
</td>
</tr>
<tr class="row-color" id="i5">
<td class="col-first"><code>float</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#getFloorArea()">getFloorArea</a></span>()</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color" id="i6">
<td class="col-first"><code>static float</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#getFunctionalRatio()">getFunctionalRatio</a></span>()</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color" id="i7">
<td class="col-first"><code>org.locationtech.jts.geom.Geometry</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#getGeomBuilding()">getGeomBuilding</a></span>()</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color" id="i8">
<td class="col-first"><code>int</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#getNbHousing()">getNbHousing</a></span>()</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color" id="i9">
<td class="col-first"><code>float</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#getRoomLeft()">getRoomLeft</a></span>()</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color" id="i10">
<td class="col-first"><code>static java.util.List&lt;? extends <a href="Building.html" title="class in fr.ici.dataImporter.iciObjects">Building</a>&gt;</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#importBuilding(java.io.File)">importBuilding</a></span>&#8203;(java.io.File&nbsp;file)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color" id="i11">
<td class="col-first"><code>static java.util.List&lt;? extends <a href="Building.html" title="class in fr.ici.dataImporter.iciObjects">Building</a>&gt;</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#selectIntersectMost(java.util.List,org.locationtech.jts.geom.Geometry)">selectIntersectMost</a></span>&#8203;(java.util.List&lt;? extends <a href="Building.html" title="class in fr.ici.dataImporter.iciObjects">Building</a>&gt;&nbsp;lG,
org.locationtech.jts.geom.Geometry&nbsp;toIntersect)</code></th>
<td class="col-last">
<div class="block">Make the intersection but for overlapping object, check if they are mostly included in the geometry (more than 50% of their footprint are inside geometry) or not</div>
</td>
</tr>
<tr class="alt-color" id="i12">
<td class="col-first"><code>void</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#setAreaHousingLot(java.util.List)">setAreaHousingLot</a></span>&#8203;(java.util.List&lt;java.lang.Integer&gt;&nbsp;areaHousingLot)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color" id="i13">
<td class="col-first"><code>static void</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#setFunctionalRatio(float)">setFunctionalRatio</a></span>&#8203;(float&nbsp;functionalRatio)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color" id="i14">
<td class="col-first"><code>void</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#setNbPOI(int)">setNbPOI</a></span>&#8203;(int&nbsp;nbPOI)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color" id="i15">
<td class="col-first"><code>void</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#setNbWorkingPlace(int)">setNbWorkingPlace</a></span>&#8203;(int&nbsp;nbWorkingPlace)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color" id="i16">
<td class="col-first"><code>static java.util.List&lt;? extends <a href="Building.html" title="class in fr.ici.dataImporter.iciObjects">Building</a>&gt;</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#sortListBuildingWithRatioHousingPerSurface(java.util.List)">sortListBuildingWithRatioHousingPerSurface</a></span>&#8203;(java.util.List&lt;? extends <a href="Building.html" title="class in fr.ici.dataImporter.iciObjects">Building</a>&gt;&nbsp;lBuilding)</code></th>
<td class="col-last">
<div class="block">Sort a building collection by the ratio of housing unit per surface</div>
</td>
</tr>
</tbody>
</table>
</div>
</div>
<div class="inherited-list">
<h3 id="methods.inherited.from.class.fr.ici.dataImporter.iciObjects.ICIObject">Methods inherited from class&nbsp;fr.ici.dataImporter.iciObjects.<a href="ICIObject.html" title="class in fr.ici.dataImporter.iciObjects">ICIObject</a></h3>
<code><a href="ICIObject.html#equals(java.lang.Object)">equals</a>, <a href="ICIObject.html#generateSimpleFeature()">generateSimpleFeature</a>, <a href="ICIObject.html#getID()">getID</a>, <a href="ICIObject.html#getSFB()">getSFB</a>, <a href="ICIObject.html#getType()">getType</a>, <a href="ICIObject.html#hashCode()">hashCode</a>, <a href="ICIObject.html#setRdGen(java.util.Random)">setRdGen</a>, <a href="ICIObject.html#toString()">toString</a></code></div>
<div class="inherited-list">
<h3 id="methods.inherited.from.class.java.lang.Object">Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, finalize, getClass, notify, notifyAll, wait, wait, wait</code></div>
</section>
</li>
</ul>
</section>
<section class="details">
<ul class="details-list">
<!-- ============ FIELD DETAIL =========== -->
<li>
<section class="field-details" id="field.detail">
<h2>Field Details</h2>
<ul class="member-list">
<li>
<section class="detail" id="functionalRatio">
<h3>functionalRatio</h3>
<div class="member-signature"><span class="modifiers">static</span>&nbsp;<span class="return-type">float</span>&nbsp;<span class="member-name">functionalRatio</span></div>
<div class="block">Percentage of the total building surface that is usable for its main usage. Exclude walls footprint, service spaces (garbage, corridors, etc.). May differ from places to places (in the case of Paris center, we assume that due to the ancient typology of building and the very high price of real estate, this ratio is high)</div>
</section>
</li>
<li>
<section class="detail" id="bGeom">
<h3>bGeom</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">org.locationtech.jts.geom.MultiPolygon</span>&nbsp;<span class="member-name">bGeom</span></div>
<div class="block">Geometry of the building</div>
</section>
</li>
<li>
<section class="detail" id="floorArea">
<h3>floorArea</h3>
<div class="member-signature"><span class="return-type">float</span>&nbsp;<span class="member-name">floorArea</span></div>
<div class="block">Sum of the floor area of the building(s)</div>
</section>
</li>
<li>
<section class="detail" id="nbHousing">
<h3>nbHousing</h3>
<div class="member-signature"><span class="return-type">int</span>&nbsp;<span class="member-name">nbHousing</span></div>
<div class="block">Number of housing units in the building. In the BDTopo data, this value is calculated by the tax services (DGFiP).</div>
</section>
</li>
<li>
<section class="detail" id="areaHousingLot">
<h3>areaHousingLot</h3>
<div class="member-signature"><span class="return-type">java.util.List&lt;java.lang.Integer&gt;</span>&nbsp;<span class="member-name">areaHousingLot</span></div>
<div class="block">Distribution of the housing sizes in this building. Those size are generated by internal processes</div>
</section>
</li>
<li>
<section class="detail" id="nbWorkingPlace">
<h3>nbWorkingPlace</h3>
<div class="member-signature"><span class="return-type">int</span>&nbsp;<span class="member-name">nbWorkingPlace</span></div>
<div class="block">Number of <a href="WorkingPlace.html" title="class in fr.ici.dataImporter.iciObjects"><code>WorkingPlace</code></a> and <a href="POI.html" title="class in fr.ici.dataImporter.iciObjects"><code>POI</code></a> calculated by ICI methods and located in this building.</div>
</section>
</li>
<li>
<section class="detail" id="nbPOI">
<h3>nbPOI</h3>
<div class="member-signature"><span class="return-type">int</span>&nbsp;<span class="member-name">nbPOI</span></div>
<div class="block">Number of <a href="WorkingPlace.html" title="class in fr.ici.dataImporter.iciObjects"><code>WorkingPlace</code></a> and <a href="POI.html" title="class in fr.ici.dataImporter.iciObjects"><code>POI</code></a> calculated by ICI methods and located in this building.</div>
</section>
</li>
<li>
<section class="detail" id="roomLeft">
<h3>roomLeft</h3>
<div class="member-signature"><span class="return-type">float</span>&nbsp;<span class="member-name">roomLeft</span></div>
<div class="block">Space that are not occupied by a housing unit and available for other usage</div>
</section>
</li>
</ul>
</section>
</li>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<li>
<section class="constructor-details" id="constructor.detail">
<h2>Constructor Details</h2>
<ul class="member-list">
<li>
<section class="detail" id="&lt;init&gt;()">
<h3>Building</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="member-name">Building</span>()</div>
</section>
</li>
</ul>
</section>
</li>
<!-- ============ METHOD DETAIL ========== -->
<li>
<section class="method-details" id="method.detail">
<h2>Method Details</h2>
<ul class="member-list">
<li>
<section class="detail" id="getFunctionalRatio()">
<h3>getFunctionalRatio</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">float</span>&nbsp;<span class="member-name">getFunctionalRatio</span>()</div>
</section>
</li>
<li>
<section class="detail" id="setFunctionalRatio(float)">
<h3>setFunctionalRatio</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="member-name">setFunctionalRatio</span>&#8203;(<span class="parameters">float&nbsp;functionalRatio)</span></div>
</section>
</li>
<li>
<section class="detail" id="sortListBuildingWithRatioHousingPerSurface(java.util.List)">
<h3>sortListBuildingWithRatioHousingPerSurface</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">java.util.List&lt;? extends <a href="Building.html" title="class in fr.ici.dataImporter.iciObjects">Building</a>&gt;</span>&nbsp;<span class="member-name">sortListBuildingWithRatioHousingPerSurface</span>&#8203;(<span class="parameters">java.util.List&lt;? extends <a href="Building.html" title="class in fr.ici.dataImporter.iciObjects">Building</a>&gt;&nbsp;lBuilding)</span></div>
<div class="block">Sort a building collection by the ratio of housing unit per surface</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>lBuilding</code> - list of building</dd>
<dt>Returns:</dt>
<dd>sorted list of building</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="selectIntersectMost(java.util.List,org.locationtech.jts.geom.Geometry)">
<h3>selectIntersectMost</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">java.util.List&lt;? extends <a href="Building.html" title="class in fr.ici.dataImporter.iciObjects">Building</a>&gt;</span>&nbsp;<span class="member-name">selectIntersectMost</span>&#8203;(<span class="parameters">java.util.List&lt;? extends <a href="Building.html" title="class in fr.ici.dataImporter.iciObjects">Building</a>&gt;&nbsp;lG,
org.locationtech.jts.geom.Geometry&nbsp;toIntersect)</span></div>
<div class="block">Make the intersection but for overlapping object, check if they are mostly included in the geometry (more than 50% of their footprint are inside geometry) or not</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>lG</code> - List of input geometries</dd>
<dd><code>toIntersect</code> - Geometry to check relation with collection</dd>
<dt>Returns:</dt>
<dd>The selected collection</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="getClosestBuilding(java.util.List,org.locationtech.jts.geom.Point,float)">
<h3>getClosestBuilding</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type"><a href="Building.html" title="class in fr.ici.dataImporter.iciObjects">Building</a></span>&nbsp;<span class="member-name">getClosestBuilding</span>&#8203;(<span class="parameters">java.util.List&lt;? extends <a href="Building.html" title="class in fr.ici.dataImporter.iciObjects">Building</a>&gt;&nbsp;lBuilding,
org.locationtech.jts.geom.Point&nbsp;p,
float&nbsp;distanceToSeek)</span></div>
<div class="block">Recursively look for a Building meter by meter from a point.</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>lBuilding</code> - input building collection</dd>
<dd><code>p</code> - point to look from</dd>
<dd><code>distanceToSeek</code> - distance until which to go</dd>
<dt>Returns:</dt>
<dd>the closest entrance(s) address(es)</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="generateListDistribHousing(org.opengis.feature.simple.SimpleFeature)">
<h3>generateListDistribHousing</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">java.util.List&lt;java.lang.Integer&gt;</span>&nbsp;<span class="member-name">generateListDistribHousing</span>&#8203;(<span class="parameters">org.opengis.feature.simple.SimpleFeature&nbsp;b)</span></div>
<div class="block">Generate a list of the average size of buildings</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>b</code> - the building</dd>
<dt>Returns:</dt>
<dd>a String containing sizes separated by a <i>'-'</i></dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="importBuilding(java.io.File)">
<h3>importBuilding</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">java.util.List&lt;? extends <a href="Building.html" title="class in fr.ici.dataImporter.iciObjects">Building</a>&gt;</span>&nbsp;<span class="member-name">importBuilding</span>&#8203;(<span class="parameters">java.io.File&nbsp;file)</span>
                                                         throws <span class="exceptions">java.io.IOException</span></div>
<dl class="notes">
<dt>Throws:</dt>
<dd><code>java.io.IOException</code></dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="exportList(java.util.List,java.io.File)">
<h3>exportList</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">java.io.File</span>&nbsp;<span class="member-name">exportList</span>&#8203;(<span class="parameters">java.util.List&lt;<a href="Building.html" title="class in fr.ici.dataImporter.iciObjects">Building</a>&gt;&nbsp;lBuilding,
java.io.File&nbsp;file)</span>
                               throws <span class="exceptions">java.io.IOException</span></div>
<dl class="notes">
<dt>Throws:</dt>
<dd><code>java.io.IOException</code></dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="getFloorArea()">
<h3>getFloorArea</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">float</span>&nbsp;<span class="member-name">getFloorArea</span>()</div>
</section>
</li>
<li>
<section class="detail" id="getNbHousing()">
<h3>getNbHousing</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">int</span>&nbsp;<span class="member-name">getNbHousing</span>()</div>
</section>
</li>
<li>
<section class="detail" id="getRoomLeft()">
<h3>getRoomLeft</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">float</span>&nbsp;<span class="member-name">getRoomLeft</span>()</div>
</section>
</li>
<li>
<section class="detail" id="computeRoomLeft()">
<h3>computeRoomLeft</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="member-name">computeRoomLeft</span>()</div>
<div class="block">Calculate the room of a building that is not occupied by housing. Multiply the functional ratio, number of storeys and building footprint.</div>
</section>
</li>
<li>
<section class="detail" id="getAreaHousingLot()">
<h3>getAreaHousingLot</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">java.util.List&lt;java.lang.Integer&gt;</span>&nbsp;<span class="member-name">getAreaHousingLot</span>()</div>
</section>
</li>
<li>
<section class="detail" id="setAreaHousingLot(java.util.List)">
<h3>setAreaHousingLot</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="member-name">setAreaHousingLot</span>&#8203;(<span class="parameters">java.util.List&lt;java.lang.Integer&gt;&nbsp;areaHousingLot)</span></div>
</section>
</li>
<li>
<section class="detail" id="setNbWorkingPlace(int)">
<h3>setNbWorkingPlace</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="member-name">setNbWorkingPlace</span>&#8203;(<span class="parameters">int&nbsp;nbWorkingPlace)</span></div>
</section>
</li>
<li>
<section class="detail" id="getGeomBuilding()">
<h3>getGeomBuilding</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">org.locationtech.jts.geom.Geometry</span>&nbsp;<span class="member-name">getGeomBuilding</span>()</div>
</section>
</li>
<li>
<section class="detail" id="setNbPOI(int)">
<h3>setNbPOI</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="member-name">setNbPOI</span>&#8203;(<span class="parameters">int&nbsp;nbPOI)</span></div>
</section>
</li>
</ul>
</section>
</li>
</ul>
</section>
<!-- ========= END OF CLASS DATA ========= -->
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottom-nav" id="navbar.bottom">
<div class="skip-nav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar.bottom.firstrow" class="nav-list" title="Navigation">
<li><a href="../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="nav-bar-cell1-rev">Class</li>
<li><a href="class-use/Building.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div>
<ul class="sub-nav-list">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="sub-nav-list">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
</div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<span class="skip-nav" id="skip.navbar.bottom">
<!--   -->
</span></nav>
</footer>
</div>
</div>
</body>
</html>
